{ config, lib, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./users
    ../../modules/system
  ];

  networking.hostName = "intuos";

  system = {
    desktop.enable = true;
    lanzaboote.enable = true;
    fancyboot.enable = true;
    wireless.enable = true;
    stateVersion = "24.11";
  };
}
